Debian Bug report logs - #249435
[collection/objdump-info] objdump fails on some libs - bug?

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: martin f krafft <madduck@debian.org>

Date: Mon, 17 May 2004 12:18:16 UTC

Severity: normal

Tags: confirmed, moreinfo

Merged with 328611

Found in versions 1.23.0, lintian/1.23.12

Fixed in version lintian/1.23.16

Done: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#249435; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lintian: internal error: collect info objdump-info about package
Date: Mon, 17 May 2004 14:09:52 +0200
[Message part 1 (text/plain, inline)]
Package: lintian
Version: 1.23.0
Severity: normal

The current libcwd0 package, obtainable at
http://people.debian.org/~madduck/stage/pool/libcwd
produces the error

internal error: collect info objdump-info about package libcwd0: 256

when run through lintian. Debug output is attached.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (600, 'testing'), (98, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.3-1-k7-smp
Locale: LANG=en_GB.ISO-8859-15, LC_CTYPE=de_DE.ISO-8859-15

Versions of packages lintian depends on:
ii  binutils                   2.14.90.0.7-6 The GNU assembler, linker and bina
ii  diffstat                   1.34-1        produces graph of changes introduc
ii  file                       4.07-2        Determines file type using "magic"
ii  man-db                     2.4.2-15      The on-line manual pager
ii  perl                       5.8.3-3       Larry Wall's Practical Extraction 

-- no debconf information

-- 
Please do not CC me when replying to lists; I read them!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, admin, and user
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP subkeys? Use subkeys.pgp.net as keyserver!
[lintian.libcwd.gz (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#249435; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #10 received at 249435@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: martin f krafft <madduck@debian.org>, 249435@bugs.debian.org
Subject: Re: Bug#249435: lintian: internal error: collect info objdump-info about package
Date: Mon, 31 May 2004 13:30:10 +0200
tags 249435 confirmed moreinfo
retitle 249435 [collection/objdump-info] objdump fails on some libs - bug?
thanks

On Mon, May 17, 2004 at 02:09:52PM +0200, martin f krafft wrote:
> The current libcwd0 package, obtainable at
> http://people.debian.org/~madduck/stage/pool/libcwd
> produces the error
> 
> internal error: collect info objdump-info about package libcwd0: 256
> 
> when run through lintian. Debug output is attached.

Hi.

I finally got around to investigate this. The problem is that objdump
fails on the libs in usr/lib/debug/usr/lib with "Invalid operation"
if the -T option is specified. So these libraries differ somewhat
from the other libraries and it has to do with dynamic symbols. But
for further clues my ELF knowledge doesn't suffice. I don't know
if objdump is at fault, if the libs are at fault or if we should
expect this error and catching it.
Someone else with more clue?

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/



Tags added: confirmed, moreinfo Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#249435; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #19 received at 249435@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 249435@bugs.debian.org
Cc: Carlo Wood <carlo@alinoe.com>
Subject: Re: Bug#249435: lintian: internal error: collect info objdump-info about package
Date: Mon, 31 May 2004 13:55:56 +0200
[Message part 1 (text/plain, inline)]
Carlo,

As the libcwd author, and probably also the one with most ELF32
knowledge of all the people I know, you may be able to shed some
light on this. Lintian is our automatic policy checker, and it
crashes when it checks the libcwd packages.

See this:

> I finally got around to investigate this. The problem is that objdump
> fails on the libs in usr/lib/debug/usr/lib with "Invalid operation"
> if the -T option is specified. So these libraries differ somewhat
> from the other libraries and it has to do with dynamic symbols. But
> for further clues my ELF knowledge doesn't suffice. I don't know
> if objdump is at fault, if the libs are at fault or if we should
> expect this error and catching it.

Can you reproduce this, or is it something with the Debian libraries
only? If the latter, then I should pay specific attention to what
I am doing...

Thanks,

-- 
Please do not CC me when replying to lists; I read them!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, admin, and user
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP subkeys? Use subkeys.pgp.net as keyserver!
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#249435; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #24 received at 249435@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: 249435@bugs.debian.org
Subject: [dan@debian.org: Re: ELF expert's help/advice/opinion wanted for two bugs]
Date: Tue, 29 Jun 2004 23:19:29 +0200
> ----- Forwarded message from Daniel Jacobowitz <dan@debian.org> -----
> Date: Tue, 29 Jun 2004 16:56:14 -0400
> From: Daniel Jacobowitz <dan@debian.org>
> To: debian-devel@lists.debian.org
> Subject: Re: ELF expert's help/advice/opinion wanted for two bugs
> 
> On Tue, Jun 29, 2004 at 10:42:10PM +0200, Jeroen van Wolffelaar wrote:
> >   objdump -T gives "Invalid operation" on some ELF files in
> >   /usr/lib/debug. Is this objdump at fault? On files without a dynamic
> >   section, usually objdump simply doesn't display the dynamic symbols,
> >   so why does it error out here?
> > 
> >   Example:
> > 
> >   $ file /usr/lib/debug/usr/lib/gconv/ISO8859-1.so
> >   ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), not
> >   stripped
> >   $ objdump -T /usr/lib/debug/usr/lib/gconv/ISO8859-1.so
> >   (...)
> >   objdump: ISO8859-1.so: Invalid operation
> >   $
> 
> Because that fail has a dynamic section - but it's empty.  This
> confuses objdump terribly.
> 
> I don't know if it's an objdump bug or not but my inclination is not.
> Files in /usr/lib/debug/ are normal libraries, but files in
> subdirectories of /usr/lib/debug generally won't be now that
> objcopy --only-keep-debug has been implemented.

So, lintian should handle the non-zero exitstatus of objdump gracefully,
introducing a 'ELF file isn't actually a sane ELF object file' lintian
error for if it occurs, but surpressing it for /usr/lib/debug/<one or
more subdirs>/*.so, since those actually are expected to not be sane ELF
objects...

I still think objdump needs to simply report the lack/emtyness of the
dynamic section though, and exit 0 on it. Nevertheless, lintian should
IMHO behave as I described here, since it's not lintian's business to
complain to unreleated packages about this. Someone who agrees objdump
should be fixed/changed, should file a bug...

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Blocking bugs added: 249435 Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 249435 328611. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from www-data <www-data@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to martin f krafft <madduck@debian.org>:
Bug#249435. Full text and rfc822 format available.

Message #33 received at 249435-submitter@bugs.debian.org (full text, mbox):

From: www-data <www-data@wolffelaar.nl>
To: control@bugs.debian.org, 249435-submitter@bugs.debian.org
Subject: Lintian bugs fixed in revision r574
Date: Sun, 12 Mar 2006 04:33:43 +0100
package lintian
# Fixed in r574 by rra
tag 249435 + pending
thanks

These bugs are fixed in revision 574 by rra
Log message:
* checks/binaries{.desc,}:
  + [RA] Add a check for the new "Invalid operation" error from
    objdump -T.  Skip shared-lib-without-dependency-information for
    files in /usr/lib/debug.
* collection/objdump-info:
  + [RA] Pass "Invalid operation" errors from objdump -T on to the check
    scripts instead of failing.  (Closes: #249435)





Reply sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #38 received at 249435-close@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: 249435-close@bugs.debian.org
Subject: Bug#249435: fixed in lintian 1.23.16
Date: Sun, 26 Mar 2006 06:17:05 -0800
Source: lintian
Source-Version: 1.23.16

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive:

lintian_1.23.16.dsc
  to pool/main/l/lintian/lintian_1.23.16.dsc
lintian_1.23.16.tar.gz
  to pool/main/l/lintian/lintian_1.23.16.tar.gz
lintian_1.23.16_all.deb
  to pool/main/l/lintian/lintian_1.23.16_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 249435@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar <jeroen@wolffelaar.nl> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 26 Mar 2006 15:38:37 +0200
Source: lintian
Binary: lintian
Architecture: source all
Version: 1.23.16
Distribution: unstable
Urgency: low
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Description: 
 lintian    - Debian package checker
Closes: 249435 322288 344269 344421 344998 347510 349272 349273 349614 349616 349792 350228 350653 351324 351624 352606 353294 353770 354890 357541 358523
Changes: 
 lintian (1.23.16) unstable; urgency=low
 .
   The "What's this Russ guy up to?" release
 .
   * checks/binaries{.desc,}:
     + [RA] Add a check for the new "Invalid operation" error from
       objdump -T.  Skip shared-lib-without-dependency-information for
       files in /usr/lib/debug.
   * checks/changelog-file:
     + [FL] Add line number to output of wrong-bug-number-in-closes.
       Inspired by #349761 from Steinar H. Gunderson.
   * checks/common_data.pm:
     + [FL] Add armeb to %non_standard_archs as requested by
       Martin Michlmayr. (Closes: #350653)
   * checks/debconf:
     + [RA] Packages that depend on dbconfig-common are allowed to have
       config scripts without templates or an explicit debconf dependency.
       Reported by Marcus Better.  (Closes: #344421)
   * checks/debconf.desc:
     + [RA] Clarify the necessary dependencies for packages using SETTITLE.
       (Closes: #349616)
   * checks/debhelper:
     + [RA] Recognize setting DH_COMPAT with := in addition to = in
       debian/rules.  (Closes: #349272)
     + [RA] CDBS sets DH_COMPAT to 4 but doesn't export it.  It does create
       debian/compat with that value if none was present.  Reflect this
       behavior to avoid spurious compat level warnings when using CDBS.
       Based on a patch by Jay Berkenbilt.  (Closes: #350228)
   * checks/fields:
     + [RA] Allow a quilt build-dependency for arch-independent packages if
       the quilt makefile rules are included.  (Closes: #349273)
     + [RA] If clean depends on a rule that calls dh_clean rather than
       calling it directly, still allow debhelper in Build-Depends for
       arch-independent packages.  Reported by Michael Stilkerich.
     + [JvW] Commented that Uploaders no longer will hit the multiline field
       issue, updated testsuite accordingly
   * checks/manpages:
     + [FL] Ignore more warnings ("cannot adjust line", "can't break
       line") in non-English manpages. (Closes: #349792)
     + [RA] cd into the parent directory before checking man pages with man
       so that .so inclusions are processed correctly.  Based on a patch by
       Nicolas François.  (Closes: #349614)
   * checks/menu-format:
     + [RA] Look for binaries in /usr/X11R6/bin, not /usr/bin/X11, per
       Policy 11.8.7.  Thanks, Matej Vela.  (Closes: #354890)
   * checks/menu-format.desc:
     + [RA] Use "menu manual" rather than "menu" for references to more
       clearly distinguish from the Debian Menu Policy.  (Closes: #347510)
   * checks/po-debconf:
     + [RA] If there are template files in debian, assume the package uses
       debconf; don't require a dependency or config script.  Patch by
       Thomas Huriaux.  (Closes: #353294)
   * checks/scripts:
     + [RA] Allow /tmp in variable settings.  It's likely to be a false
       positive.  Reported by Frank Küster.  (Closes: #344998)
     + [RA] Make the syntax checking of shell scripts more robust against
       filenames containing shell metacharacters.  Reported by Michael
       Stilkerich.
     + [RA] Add fish and expectk to the list of valid interpreters.
       (Closes: #351624, #353770)
     + [RA] /usr/bin/tcl is provided by tclx8.3, not tcl.  Reported by
       James R. Van Zandt.  (Closes: #351324)
     + [RA] Allow more variations on leading magic to invoke some
       interpreter rather than then shell.  Bypass the ELF magic check for
       scripts using magic that relies on having no leading #! line.
       Reported by Frank Küster.  (Closes: #344269)
     + [JvW] Add check against package suffering from debhelper bug #337664,
       per Joey Hess, which had broken error detection (Closes: #358523)
   * checks/shared-libs:
     + [JvW] Fix postinst-must-call-ldconfig to also get emitted when there is
       no postinst at all, instead of just one lacking a ldconfig call
     + [JvW] Implement checks for "udeb:" lines in shlibs files
       (Closes: #357541)
     + [JvW] Consider also the soname version for shlibs checking, preventing
       some bogus 'duplicate' warnings, and actually throw a warning when
       soname version doesn't match
     + [JvW] Added error when udeb postinst calls ldconfig, that must never
       happen (thanks to Frans Pop for noticing, see #203056)
 .
   * debian/{control,copyright}:
     + [RA] Add Russ Allbery to Uploaders and copyright.
     + [JvW] Version dpkg-dev requirement to >= 1.13.17, for
       unpack/unpack-srcpkg-l2
 .
   * frontends/lintian-info:
     + [RA] Avoid Perl uninitialized value warnings when given output that
       looks like lintian messages without tags.  (Closes: #352606)
 .
   * collection/objdump-info:
     + [RA] Pass "Invalid operation" errors from objdump -T on to the check
       scripts instead of failing.  (Closes: #249435)
 .
   * man/lintian.1:
     + [RA] Add references to dh_make, debhelper, dpkg-buildpackage, and
       linda in new reference sections.  (Closes: #322288)
   * man/{lintian.1,lintian-info.1}:
     + [RA] Left-justify and disable hyphenation for readability.
 .
   * unpack/unpack-srcpkg-l2:
     + [JvW] Use -q with dpkg-source to surpress warnings about unsigned source
       packages. Requires dpkg-dev 1.13.17
Files: 
 a8af61cb26ebdf096bf5fb370adf4444 867 devel optional lintian_1.23.16.dsc
 d823231fc846a486ec767203d7305862 273482 devel optional lintian_1.23.16.tar.gz
 c456a02e9c401c59cd4793bdc7b755c2 234118 devel optional lintian_1.23.16_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)
Comment: Signed by Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

iD8DBQFEJqEll2uISwgTVp8RAjENAKCKtXb9zS9UQy/w4iBJHu4f51yMLACgkKZi
m6nRMEQo22hR9t288GmkT+s=
=SpzL
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 14:27:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:17:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.